Ben
Burton
bab@debian.org
7. märts 2003
addebug
1

# `addebug`

Makefile
'ide muutmine silumisinfo lisamiseks

    adddebug -k -r -n

## Kirjeldus

`adddebug` muudab `Makefile`'i aktiivses kataloogis (lisavõimalusena ka alamkataloogides) silumisinfo lisamiseks (`-g3`). Samuti eemaldab see optimeerimise (`-O[1-9]`).

See utiliit kuulub &kde; tarkvaraarenduse komplekti koosseisu.

## Võtmed

`-k`

  Optimeerimine säilitatakse (ei eemaldata lippe `-O[1-9]?`, mille skript vaikimisi eemaldab).

`-r`

  Rekursiivselt otsitakse läbi kõik aktiivse kataloogi alamkataloogid ning töödeldakse kõiki leitud `Makefile`'e.

`-n`

  Kompileeritakse NDEBUG ja NO_DEBUG definitsioonita (paneb tööle `kdDebug` väljakutsed).